# this specfile is inspired from fedoras'one.
# but I choose not to use git sources, I prefer using tarball
%define tarname pep8
%define fname %{tarname}

Name:           python-%{tarname}
Version:        1.7.1
Release:        %mkrel 2
Summary:        Python style guide checker

Group:          Development/Python
# License is held in the comments of pep8.py
# setup.py claims license is Expat license, which is the same as MIT
License:        MIT
URL:            https://github.com/jcrocholl/pep8
Source0:        http://pypi.python.org/packages/source/p/%{fname}/%{fname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
Requires:       python-setuptools

%description
pep8 is a tool to check your Python code against some of the style conventions
in PEP 8. It has a plugin architecture, making new checks easy, and its output
is parseable, making it easy to jump to an error location in your editor.

# Python 3 package
%package -n python3-pep8
Summary:    Python style guide checker

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description -n python3-pep8
pep8 is a tool to check your Python code against some of the style
conventions in PEP 8. It has a plugin architecture, making new checks
easy, and its output is parseable, making it easy to jump to an error
location in your editor.

This is a version for Python 3.

%prep
%setup -qn %{tarname}-%{version}

# Remove #! from pep8.py
sed --in-place "s:#!\s*/usr.*::" pep8.py

# Python 3 prep
cp -a . %{py3dir}

%build
%py2_build
%{__python2} setup.py build build_sphinx

# Python 3 build
pushd %{py3dir}
%py3_build
popd

%install
# Python 3 first
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/pep8 %{buildroot}%{_bindir}/pep8-%python3_version
popd

# Python 2
%py2_install


%files
%doc CHANGES.txt README.rst build/sphinx/html/* 
%{_bindir}/pep8
%{python2_sitelib}/%{tarname}.py*
%{python2_sitelib}/%{tarname}-%{version}-*.egg-info

%files -n python3-%{tarname}
%doc CHANGES.txt README.rst build/sphinx/html/*
%{_bindir}/pep8-%python3_version
%{python3_sitelib}/%{tarname}.py*
%{python3_sitelib}/%{tarname}-%{version}-*.egg-info




%changelog
* Mon Aug 22 2022 tex - 1.7.1-2pclos2022
- rebuild against updates

